#include<bits/stdc++.h>

using namespace std;

int n,b;
struct slog{
    double a,e;
};
slog fri[200005];
double ee[200005],rez;
int main(){
cin>>n;
rez=0;
for(int i=1; i<=n; i++){
    cin>>fri[i].a>>fri[i].e;
}
for(int i=1; i<=n; i++){
    for(int j=1; j<=n; j++){
        if(fri[i].e<=fri[j].e){
            ee[i]+=fri[j].a*(fri[i].e/100);
            if(ee[i]>rez){
                rez=ee[i];
            }
        }
    }
}
cout<<setprecision(4)<<fixed<<rez<<endl;

    return 0;
}